      subroutine loadssp(ssp,zz,range,izdex,irdex,name)
c
c  Brian Dushaw
c  Applied Physics Laboratory 
c  University of Washington
c  Seattle, WA 98105
c  (206) 543-1300
c  dushaw@apl.washington.edu
c
c  EIGENRAY Version 3.4
c  September-December 1998
c  Last updated November 2012

      implicit double precision (a-h,o-z)
      include 'constants.h'
      include 'nssp.h'
      double precision  R0,ssp(NZSSP,Nprofmax),zz(NZSSP),range(Nprofmax)
      character*80 name

      open(15,file=name,status='old')
c
      do k=1,Nprofmax
         range(k)=zero
      enddo
      irdex=1
      read(15,*) temp1, range(irdex)
      range(irdex)=range(irdex)*1000.d0
      R0=range(irdex)
      range(irdex)=range(irdex)-R0
      do 65 k=1,Nprofmax
         izdex=1
         do 64 j=2,NZSSP
            read(15,*,end=32,err=32)temp1,temp2
            if(temp1.lt.0.d0)then
               irdex=irdex+1
               range(irdex)=temp2*1000.d0
               range(irdex)=range(irdex)-R0
c              Now fill in the empty sound speed values with nominal numbers
c              to keep the cubic spline from misbehaving.  Increase and
c              sound speed slowly - Use a nominal pressure-induced gradient of
c              5 m/s for 250 m depth increase, or 0.2 m/s per meter.
               do 63 jj=izdex,NZSSP
                 if (zz(jj).eq.0) zz(jj)=zz(jj-1)+10.0
                 ssp(jj,k)=ssp(jj-1,k)+2.0
63             continue
c  Convert range in km to range in meters.
               goto 65
            else
               zz(izdex)=temp1 
               ssp(izdex,k)=temp2
               izdex=izdex+1
            endif
64       continue          
        print *
        print *,'The number of sound speed depths is too large' 
        print *,'Change parameter NZSSP in driver.f and speed.f' 
        print *
        stop
65    continue
        print *
        print *,'The number of sound speed profiles is too large' 
        print *,'Change parameter Nprofmax in driver.f and speed.f' 
        print *
        stop
32    continue
       close(15)
c Increment izdex back one to avoid a zero sound speed in the splining!
       izdex=izdex-1
       return
       end
